### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-multiselect/ecl-multiselect-option.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnDestroy` `OnChanges`

### Metadata

Selector | `option[eclSelectOption], option[eclMultiselectOption]`

### Index

###### Properties
changes
###### Methods
getHostElement getCssClasses
###### Inputs
disabled label selected value class e2eAttr
###### HostBindings
class
###### Accessors
disabled selected cssClasses

### Constructor

`constructor(elRef: ElementRef)`
Parameters :
Name | Type | Optional
elRef | `ElementRef` | No

### Inputs

disabled
Type : `boolean`

label
Type : `string`

selected
Type : `boolean`

value
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getHostElement
`getHostElement()`
Returns : `HTMLSelectElement`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

changes
Default value : `new Subject()`

### Accessors

disabled
get `disabled()`
set `disabled(value: boolean | any)`
Parameters :
Name | Type | Optional
value | `boolean | any` | No
Returns : `void`

selected
get `selected()`
set `selected(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""